[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.EndEdit

Ends editing of the tree node in the associated tree view control.

## Declaration

Source position: comctrls.pp line 3140

`public procedure TTreeNode.EndEdit(`
`Cancel: Boolean`
`);`

## Arguments

`Cancel` |  | True if the edited value for Text is discarded.

## Description

EndEdit calls the EndEditing method in TreeView control to apply the new value in the control Editor to the Text for the node. Cancel indicates whether the modified text value for the node should be discarded. When set to False, the modified value is stored in the Text property for the node. The OnEdited event handler in TreeView is signalled (when assigned) and Invalidate is called to cause the control to be redrawn.

No actions are performed in the method if TreeView has not been assigned for the node.

## See also

TTreeNode.Text |  | Text displayed for the tree node.
TCustomTreeView.EndEditing |  | Updates the specified tree node and hides editor.
TCustomTreeView.OnEdited |  | Event handler signalled when the tree view control has been edited.